Skip To Content

Ubuntu LTS Linux

In this topic

The Linux patches from Ubuntu will be supported as long as the patches are from Ubuntu without any modification to the latest kernel/glibc version.

The following libraries are required, along with the packages that provide them.

Ubuntu 12.04 libraries

The following table lists the libraries that are required for Ubuntu 12.04, and the packages that provide them.

LibraryPackage NamePackage Version

libm.so.6

libc6 (glibc)

2.15

libpthread.so.0

libc.so.6

libdl.so.2

/lib/ld-linux.so.2

/lib64/ld-linux-x86-64.so.2

libX11.so.6

libX11-6

2:1.4.99.1

libXau.so.6

libXau6

1:1.0.6-4

libXext.so.6

libXext6

2:1.3.0

libXdmcp.so.6

libxdmcp6

1:1.1.0

libexpat.so.1

libexpat.so.1

2.0.1

libfontconfig.so.1

libfontconfig1

2.8.0

libfreetype.so.6

libfreetype6

2.4.8

libGL.so.1*

libgl1-mesa-glx

8.0.4

libgcc_s.so.1

libgcc1

1:4.6.3

libstdc++.so.6

libstdc++6

4.6.3

libxcb.so.1

libxcb1

1.8.1

libz.so.1

zlib1g

1.2.3.4

* The libGL.so.1 may be provided by the graphics driver vendor. The Mesa OpenGL lib is only needed when there are no other graphics drivers installed.

Ubuntu 14.04 libraries

The following table lists the libraries that are required for Ubuntu 14.04, and the packages that provide them.

LibraryPackage NamePackage Version

libm.so.6

libc6 (glibc)

2.19

libpthread.so.0

libc.so.6

libdl.so.2

/lib/ld-linux.so.2

/lib64/ld-linux-x86-64.so.2

libX11.so.6.3.0

libX11-6

2:1.6.2

libXau.so.6

libXau6

1:1.0.8-1

libXext.so.6

libXext6

2:1.3.2-1

libXdmcp.so.6

libxdmcp6

1:1.1.1-1

libfontconfig.so.1.8.0

libfontconfig1

2.11.0

libfreetype.so.6.11.1

libfreetype6

2.5.2

libGL.so.1**

libgl1-mesa-glx

10.1.3

libgcc_s.so.1

libgcc1

1:4.9-20140406

libstdc++.so.6

libstdc++6

4.8.2

libxcb.so.1

libxcb1

1.10

libz.so.1*

zlib1g

1:1.2.8

* When developing apps on Ubuntu 14.04 and building for Android 32-bit devices, ensure that you have installed zlib1g:i386 version 1.2.8 on your Ubuntu machine as well.

** The libGL.so.1 may be provided by the graphics driver vendor. The mesa OpenGL lib is only needed when there are no other graphics drivers installed.